﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Mezzoteam;

namespace MezzoConnect
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            // proxy vers le service web security.asmx
            security mySecurityWs =  new security();
            // Objet de retour après connexion
            LogonReturn myLogon;

            // Initialisation de l'objet Credential, qui contient les infos de connexion
            mySecurityWs.CredentialSoapHeaderValue = new CredentialSoapHeader();
            // Récupération des valeur de l'identifiant et du mot de passe saisis
            // par l'utilisateur dans le formulaire
            mySecurityWs.CredentialSoapHeaderValue.Login = textBox1.Text;
            mySecurityWs.CredentialSoapHeaderValue.Password = textBox2.Text;
            // Connexion à Mezzoteam.
            myLogon = mySecurityWs.Logon();

            // Si l'objet myLogon n'est pas null, on est connecté
            if (myLogon != null)
            {
                MessageBox.Show("Vous êtes connecté !");
            }
            else
            {
                MessageBox.Show("Vous n'êtes pas connecté !");
            }

            // Création d'un objet Directory
            directory myDirectoryWs = new directory();
           
            // On passe la clé de sécurité calculée lors de la connexion
            myDirectoryWs.CredentialSoapHeaderValue = new CredentialSoapHeader();
            myDirectoryWs.CredentialSoapHeaderValue.SecurityKey = myLogon.SecurityKey;
            
            // Création d'un objet Workspace[] pour récupérer la liste des espaces de travail
            Workspace[] myWorkspaceList;
            // La méthode de récupération de la liste des espaces de travail prend comme paramètre 
            // le login de l'utilisateur
            myWorkspaceList = myDirectoryWs.WorkspaceGetList(myDirectoryWs.UserGetFromLogin(textBox1.Text));
            // On calcule le nombre d'espaces de travail récupérés
            int rowCount = myWorkspaceList.Count();
            // On limite a au plus 5
            if (rowCount > 5)
            {
                rowCount = 5;
            }
            // On affiche les informations de titre et de volume des 5 premiers 
            // espaces de travail
            for (int iCounter = 0; iCounter < rowCount - 1; iCounter++)
            {
                MessageBox.Show("Titre : " + myWorkspaceList[iCounter].Title + "  Volume de fichiers :" + myWorkspaceList[iCounter].TotalFileSize.ToString());
            }
        }
    }
}
